package config

import "time"

type Server struct {
	Name            string        `json:"name" yaml:"name" toml:"name"`
	Network         string        `json:"network" yaml:"network" toml:"network"`
	Addr            string        `json:"addr" yaml:"addr" toml:"addr"`
	TLS             bool          `json:"tls" yaml:"tls" toml:"tls"`
	Concurrency     int           `json:"concurrency" yaml:"concurrency" toml:"concurrency"`
	MaxStopWaitTime time.Duration `json:"maxStopWaitTime" yaml:"maxStopWaitTime" toml:"maxStopWaitTime"`
}
